# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit eutils linux-mod

DESCRIPTION="Novell Client for Linux Filesystem"
HOMEPAGE="http://www.novell.com"
SRC_URI="http://ftp.mars.arge.at/n4g/novfs-${PV}.tar.bz2
	ftp://mars.arge.at/n4g/novfs-${PV}.tar.bz2"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE=""

DEPEND=""

RDEPEND="virtual/linux-sources"

RESTRICT="mirror"

S=${WORKDIR}/novfs-${PV}

MODULE_NAMES="novfs(novfs:${WORKDIR}/novfs-${PV}:${WORKDIR}/novfs-${PV}:${WORKDIR}/novfs-${PV}/)"
BUILD_TARGETS="all"
BUILD_PARAMS="KDIR=${KERNEL_DIR}"
MODULESD_NOVFS_ENABLED=""

src_unpack() {
	unpack ${A}
}

src_compile() {
	linux-mod_src_compile
}

src_install() {
	linux-mod_src_install
	generate_modulesd
}

pkg_postinst() {
	linux-mod_pkg_postinst
}

pkg_postrm() {
	linux-mod_pkg_postrm
}
