# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit eutils rpm linux-mod

MY_PV="${PV/_p/-}"

DESCRIPTION="Novell Client for Linux Filesystem"
HOMEPAGE="http://www.novell.com"
SRC_URI="ftp://mars.arge.at/n4g/novfs-${MY_PV}.src.rpm
	http://ftp.mars.arge.at/n4g/novfs-${MY_PV}.src.rpm
	http://download.opensuse.org/distribution/SL-OSS-factory/inst-source/suse/src/novfs-${MY_PV}.src.rpm"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE=""

DEPEND=""

RDEPEND="virtual/linux-sources"

RESTRICT="mirror"

#BUILD_PARAMS="-C $KERNEL_DIR SUBDIRS=-${WORKDIR}/novfs-2.0.0/src"
MODULE_NAMES="novfs(novfs:${WORKDIR}/novfs-2.0.0/src:${WORKDIR}/novfs-2.0.0/src"
BUILD_TARGETS="all"
MODULESD_NOVFS_ENABLED=""

src_unpack() {
	rpm_src_unpack ${A}
	epatch "${FILESDIR}"/novell-novfs-2.0.0-vfs.patch
	epatch "${FILESDIR}"/novell-novfs-2.0.0-section_mismatch-1.patch

#	if kernel_is eq 2 6 15
#	then
#	    epatch ${FILESDIR}/novell-novfs-2.0.0-2_6_15-compat.patch
#	fi
#	if kernel_is ge 2 6 17
#	then
#	    epatch ${FILESDIR}/novell-novfs-2.0.0-config_h.patch
#	fi
#	if kernel_is ge 2 6 18 
#	then
#	    epatch ${FILESDIR}/novell-novfs-2.0.0-generic_file_read.patch
#	fi
#	if kernel_is ge 2 6 19 
#	then
#	    epatch ${FILESDIR}/novell-novfs-2.0.0-i_blksize.patch
#	    epatch ${FILESDIR}/novell-novfs-2.0.0-u.generic_ip.patch
#	fi

#	epatch ${FILESDIR}/novell-novfs-2.0.0-dont_use_tasklist_lock.patch
}

src_compile() {
	linux-mod_src_compile
}

src_install() {
	linux-mod_src_install
	generate_modulesd
}

pkg_postinst() {
	linux-mod_pkg_postinst
}

pkg_postrm() {
	linux-mod_pkg_postrm
}
