# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit rpm kde

MY_P=${P/_p/-}

DESCRIPTION="KDE kio slave for slp (using openslp)"
HOMEPAGE="http://opensuse.org"
SRC_URI="http://ftp.mars.arge.at/n4g/${MY_P}.src.rpm
	http://download.opensuse.org/distribution/SL-OSS-factory/inst-source/suse/src/${MY_P}.src.rpm"

LICENSE="GPL-2"
SLOT="0"
IUSE=""

KEYWORDS="~x86 ~amd64"

RDEPEND="net-libs/openslp"

DEPEND="|| ( kde-base/kapptemplate kde-base/kdesdk )
	${RDEPEND}"

S=${WORKDIR}/${PN}

need-kde 3.4

src_unpack() {
	rpm_src_unpack

	cd ${PN}
	cp -a ${KDEDIR}/share/apps/kapptemplate/admin admin
	chmod +x admin/detect-autoconf.pl
}

pkg_postinst()
{
	echo
	einfo "To start using the services provided by kio_slp,"
	einfo "point Konqueror to 'service:/', 'slp:/' and/or 'mdns:/'"
	echo
}
